function open_news_img(s_showcase)
	{
		window.open('open_big_news.asp?showcase=' + escape(s_showcase),'','scrollbars=yes,resizable=yes,width=640,height=450');
	}	
	
function open_sighting_img(s_showcase)
	{
		window.open('images/sightings/open_big_news.asp?showcase=' + escape(s_showcase),'','scrollbars=yes,resizable=yes,width=640,height=450');
	}
var LastEvent;
var TimeoutID;
var MainOverColor="#01671A";
var MainOutColor="";
var SubOverColor="#FCD673"
var SubOutColor="#FBE19E"

function Do_OutDelay()
{
	var varFunc;
		
	varFunc = "MM_Out_showHideLayers(";
	
	for(i=0;i<Do_OutDelay.arguments.length;++i)
	{
		if(i > 0)
			varFunc += ",";
			
		varFunc += "'"+ Do_OutDelay.arguments[i] +"'";
	}
	
	varFunc += ")";
	
	LastEvent = "mouseout";
	
	TimeoutID = setTimeout(varFunc,500);
}

function Do_OverDelay()
{
	if(LastEvent == "mouseout" && TimeoutID != ""){
		window.clearTimeout(TimeoutID)
		
		TimeoutID = "";
	}
	
	LastEvent = "mouseover";
	
	var varFunc;
	
	varFunc = "MM_showHideLayers(";
	
	for(i=0;i<Do_OverDelay.arguments.length;++i)
	{
		if(i > 0)
			varFunc += ",";
			
		varFunc += "'"+ Do_OverDelay.arguments[i] +"'";
	}
	
	varFunc += ")";
	
	
	
	setTimeout(varFunc,1);
	
}

function front_button_over(tdCell)
{
	tdCell.style.backgroundImage = "url('images/button_on.gif')";
}

function front_button_out(tdCell)
{
	tdCell.style.backgroundImage = "url('images/button_off.gif')";
}

function MM_openBrWindow(theURL,winName) { //v2.0
  
  if(theURL != "doFlip()")
  	window.open(theURL,winName);
}

function MM_findObj(n, d) { //v4.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
	d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && document.getElementById) x=document.getElementById(n); return x;
}

function MM_showHideLayers() 
{ 
	var i,p,v,obj,args=MM_showHideLayers.arguments;
	
	for (i=0; i<(args.length-2); i+=3)
	{ 
		if ((obj=MM_findObj(args[i]))!=null) 
		{ 
			v=args[i+2];

			if (v == "show")			
				ChangeBG(MM_findObj("Main_"+ args[i]),MainOverColor);
			else
				ChangeBG(MM_findObj("Main_"+ args[i]),MainOutColor);
			
			if (obj.style) 
			{ 
				obj=obj.style; 
				
				v=(v=='show')?'visible':(v='hide')?'hidden':v; 
			}

			obj.visibility=v; 
		}
	}	
}

function MM_Out_showHideLayers() 
{
	var i,p,v,obj,args=MM_Out_showHideLayers.arguments;
	
	for (i=0; i<(args.length-2); i+=3)
	{
	 	if ((obj=MM_findObj(args[i]))!=null) 
		{
			v=args[i+2];

			if (v == "show")			
				ChangeBG(MM_findObj("Main_"+ args[i]),MainOverColor);
			else
				ChangeBG(MM_findObj("Main_"+ args[i]),MainOutColor);
			
			if (obj.style) 
			{ 
				obj=obj.style; 
				
				v=(v=='show')?'visible':(v='hide')?'hidden':v; 
			}
			
			obj.visibility=v; 
		}
	}
}

function MM_reloadPage(init) {  //reloads the window if Nav4 resized
  if (init==true) with (navigator) {if ((appName=="Netscape")&&(parseInt(appVersion)==4)) {
    document.MM_pgW=innerWidth; document.MM_pgH=innerHeight; onresize=MM_reloadPage; }}
  else if (innerWidth!=document.MM_pgW || innerHeight!=document.MM_pgH) location.reload();
}
MM_reloadPage(true);

function ChangeBG(obj,varBGColor)
{
	obj.style.backgroundColor 	= varBGColor;
}

function ChangeBorder(obj,varTop,varRight,varBottom,varLeft)
{
	obj.style.borderColor = varTop +" "+ varRight +" "+ varBottom +" "+ varLeft;
}

function Diary_BGColor(varDiv, varColor)
{
	var obj = MM_findObj(varDiv);
	
	if (obj != null)
		obj.style.backgroundColor = varColor;
}
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
	
	function ValidateFeedback(obj)
	{
		if (obj.Name.value == "")
		{
			window.alert("Name is a required field!");
			obj.Name.focus();
			return false;
		}	
		
		if (obj.Message.value == "")
		{
			window.alert("Message is a required field!");
			obj.Message.focus();
			return false;
		}	
		 
		return true;
	}
function Open_Photo(s_showcase)
	{
		window.open('open_big_news.asp?showcase=' + escape(s_showcase),'','scrollbars=yes,resizable=yes,width=640,height=450');
	}	
	
	function Open_Photo(varURL)
{
	var i_Width 	= 650;
	var i_Height 	= 450;
	
	var i_MaxWidth 	= window.screen.width;
	
	if (window.screen.height > 600)
		var i_MaxHeight 	= window.screen.height - 90;
	else
		var i_MaxHeight 	= window.screen.height;
	
	window.open(varURL, "Picture", "scrollbars=yes,status=yes,resizable=yes,width="+ String(i_Width) +",height="+ String(i_Height) +",left="+ String(Math.floor((i_MaxWidth - i_Width) / 2)) +",top="+ String(Math.floor((i_MaxHeight - i_Height) / 2)));
}
function MM_displayStatusMsg(msgStr) { //v1.0
  status=msgStr;
  document.MM_returnValue = true;
}
var offsetfromcursorX=12 //Customize x offset of tooltip
var offsetfromcursorY=10 //Customize y offset of tooltip

var offsetdivfrompointerX=10 //Customize x offset of tooltip DIV relative to pointer image
var offsetdivfrompointerY=14 //Customize y offset of tooltip DIV relative to pointer image. Tip: Set it to (height_of_pointer_image-1).

//document.write('<div id="dhtmltooltip"></div>') //write out tooltip DIV
//document.write('<img id="dhtmlpointer" src="images/arrow2.gif">') //write out pointer image

var ie=document.all
var ns6=document.getElementById && !document.all
var enabletip=false
if (ie||ns6)
var tipobj=document.all? document.all["dhtmltooltip"] : document.getElementById? document.getElementById("dhtmltooltip") : ""

var pointerobj=document.all? document.all["dhtmlpointer"] : document.getElementById? document.getElementById("dhtmlpointer") : ""

function ietruebody(){
return (document.compatMode && document.compatMode!="BackCompat")? document.documentElement : document.body
}

function ddrivetip(thetext, thewidth, thecolor){
if (ns6||ie){
if (typeof thewidth!="undefined") tipobj.style.width=thewidth+"px"
if (typeof thecolor!="undefined" && thecolor!="") tipobj.style.backgroundColor=thecolor
tipobj.innerHTML=thetext
enabletip=true
return false
}
}

function positiontip(e){
if (enabletip){
var nondefaultpos=false
var curX=(ns6)?e.pageX : event.clientX+ietruebody().scrollLeft;
var curY=(ns6)?e.pageY : event.clientY+ietruebody().scrollTop;
//Find out how close the mouse is to the corner of the window
var winwidth=ie&&!window.opera? ietruebody().clientWidth : window.innerWidth-20
var winheight=ie&&!window.opera? ietruebody().clientHeight : window.innerHeight-20

var rightedge=ie&&!window.opera? winwidth-event.clientX-offsetfromcursorX : winwidth-e.clientX-offsetfromcursorX
var bottomedge=ie&&!window.opera? winheight-event.clientY-offsetfromcursorY : winheight-e.clientY-offsetfromcursorY

var leftedge=(offsetfromcursorX<0)? offsetfromcursorX*(-1) : -1000

//if the horizontal distance isn't enough to accomodate the width of the context menu
if (rightedge<tipobj.offsetWidth){
//move the horizontal position of the menu to the left by it's width
tipobj.style.left=curX-tipobj.offsetWidth+"px"
nondefaultpos=true
}
else if (curX<leftedge)
tipobj.style.left="5px"
else{
//position the horizontal position of the menu where the mouse is positioned
tipobj.style.left=curX+offsetfromcursorX-offsetdivfrompointerX+"px"
pointerobj.style.left=curX+offsetfromcursorX+"px"
}

//same concept with the vertical position
if (bottomedge<tipobj.offsetHeight){
tipobj.style.top=curY-tipobj.offsetHeight-offsetfromcursorY+"px"
nondefaultpos=true
}
else{
tipobj.style.top=curY+offsetfromcursorY+offsetdivfrompointerY+"px"
pointerobj.style.top=curY+offsetfromcursorY+"px"
}
tipobj.style.visibility="visible"
if (!nondefaultpos)
pointerobj.style.visibility="visible"
else
pointerobj.style.visibility="hidden"
}
}

function hideddrivetip(){
if (ns6||ie){
enabletip=false
tipobj.style.visibility="hidden"
pointerobj.style.visibility="hidden"
tipobj.style.left="-1000px"
tipobj.style.backgroundColor=''
tipobj.style.width=''
}
}

document.onmousemove=positiontip

function addFavorite(name,url) { 
if (navigator.appName == "Microsoft Internet Explorer")  { 
window.external.AddFavorite(url, name);
} 
else{
alert("To add this site to your bookmarks press <Ctrl-D>.");
}
}
function MM_displayStatusMsg(msgStr) { //v1.0
  status=msgStr;
  document.MM_returnValue = true;
}

function open_img(s_showcase,s_location,s_Desc)
{
	window.open('popup.asp?showcase=' + escape(s_showcase)+'&filelocation=' + escape(s_location)+'&Desc='+escape(s_Desc),'','scrollbars=yes,resizable=yes,width=640,height=450');
}	
	
function open_content_img(s_showcase)
{
	window.open('popup.asp?showcase=' + escape(s_showcase)+'&filelocation=' + escape('')+'&Desc=','','scrollbars=yes,resizable=yes,width=640,height=450');	
}
